/*****************************************************
  @@@@@ SUGI-JpTvvO
@@@gcharttabulateanchorŃN
*****************************************************/

proc format ;
	value $image
	Ji_  ='../image/lca.gif'
	č    ='../image/US.gif'
	LVR='../image/lmx.gif';
run;

%macro link;
data sugi_j.saletrnd3;
	set sugi_j.saletrnd;
	length PriDrill $ 40 SecDrill $ 40;
%do year=1995 %to 1998;
	if year=&year then pridrill="HREF=""report&year..html""";
%end;
%do i=1 %to 4;
    if quarter=&i and product="xbh"   then secdrill="HREF=""#salesq&i._1""";
    if quarter=&i and product="֎q" then secdrill="HREF=""#salesq&i._2""";
    if quarter=&i and product=""  then secdrill="HREF=""#salesq&i._3""";
    if quarter=&i and product="\t@"  then secdrill="HREF=""#salesq&i._4""";
%end;
	format actual dollar10.0;
run;

ods listing close;
ODS HTML ATTRIBUTES=("CODEBASE"="http://jpntem/applets") ARCHIVE="graphapp.jar" 
    path='E:\SUGI-J\HTML'(url=none) body='graph3.html';
goptions device=java ;
title h=5.0 'Total Sales by Year';
proc gchart data=sugi_j.saletrnd3;
	vbar3d year / subgroup=prodtype discrete
             sumvar=actual html=pridrill;
run;
quit;
ods html close;
%mend;

%link;

%macro sugi1(year);
ods listing close;
ODS HTML ATTRIBUTES=("CODEBASE"="http://jpntem/applets") ARCHIVE="graphapp.jar" 
    path='E:\SUGI-J\HTML'(url=none) body="report&year..html";
goptions reset=all;
goptions dev=java;
title h=1.5 "Sales for &year by Quarter";
proc gchart data=sugi_j.saletrnd3;
	vbar3d quarter / subgroup=product discrete
             sumvar=actual html=secdrill;
    where year=&year;
run;
quit;

%do i=1 %to 4;
ods html anchor="salesq&i._1";
title "1st Quarter &year Sales by Country (Category:xbh)";
proc tabulate data=sugi_j.saletrnd3 format=dollar10.0;
	class country product;
	classlev country / style={preimage=$image.};
	var actual;
    table country='' *product='' all=Total, sum='' *actual='';
	where year=&year and quarter=&i and product="xbh";
run;

ods html anchor="salesq&i._2";
title "1st Quarter &year Sales by Country (Category:֎q)";
proc tabulate data=sugi_j.saletrnd3 format=dollar10.0;
	class country product;
	classlev country / style={preimage=$image.};
    var actual;
    table country='' *product='' all=Total, sum='' *actual='';
    where year=&year and quarter=&i and product="֎q";
run;

ods html anchor="salesq&i._3";
title "1st Quarter &year Sales by Country (Category:)";
proc tabulate data=sugi_j.saletrnd3 format=dollar10.0;
	class country product;
	classlev country / style={preimage=$image.};
    var actual;
    table country='' *product='' all=Total, sum='' *actual='';
    where year=&year and quarter=&i and product="";
run;

ods html anchor="salesq&i._4";
title "1st Quarter &year Sales by Country (Category:\t@)";
proc tabulate data=sugi_j.saletrnd3 format=dollar10.0;
	class country product;
	classlev country / style={preimage=$image.};
    var actual;
    table country='' *product='' all=Total, sum='' *actual='';
    where year=&year and quarter=&i and product="\t@";
run;quit;
/* switch back to listing output */
%end;
ods html close;
ods listing;
%mend;

%sugi1(1995);
%sugi1(1996);
%sugi1(1997);
%sugi1(1998);

